<script>
	import { periodSelector, periodConfig, periodKeys } from '$lib/Widgets/stores';

	$: {
		switch ($periodSelector) {
			case 'daily':
				periodKeys.set(['annee', 'mois', 'jour']);
				periodConfig.set({
					day: 'numeric',
					month: 'long',
					year: 'numeric'
				});
				break;
			case 'monthly':
				periodKeys.set(['annee', 'mois']);
				periodConfig.set({
					month: 'long',
					year: 'numeric'
				});
				break;
			case 'yearly':
				periodKeys.set(['annee']);
				periodConfig.set({
					year: 'numeric'
				});
				break;
		}
	}
</script>

<label class="inline-block">
	<select
		class="block w-full mt-1 rounded-md text-xs bg-white shadow border-transparent focus:border-gray-500 focus:bg-white focus:ring-0"
		bind:value={$periodSelector}
	>
		<option value="daily">Cette année</option>
		<option value="monthly">5 dernières années</option>
		<option value="yearly">Depuis toujours</option>
	</select>
</label>
